Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001340graphvizBuild/Installpublic2008-06-06 05:332013-10-22 10:59
ReporterGeert Coelmont 
Assigned Toellson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOther-Other-HP-UX B.11.23 U ia64OS Version
Summary0001340: Compilation problems on HP-UX Itanium
Description



I had a few problems compiling graphviz on HP-UX Itanium.
<CD>
1) complaint about unknown option +b in gcc (we use 4.2.2)
   solution: in configure script i had to add ${wl} twice in the line below:
        hppa*64*|ia64*)
          hardcode_libdir_flag_spec_ld='+b $libdir'
   becomes:
        hppa*64*|ia64*)
          hardcode_libdir_flag_spec_ld='${wl}+b ${wl}$libdir'
   this line appears a few times in the configure script, i only added it in the first occurence, but likely the other ones should change as well



2) lib/ast/pathpath.c and others missing F_OK / W_OK symbol
   I fixed this by removing the R_OK #define in ast_common.h
   <unistd.h> normally defines F_OK but only #ifndef R_OK



3) a few warnings about redefine MIN and MAX, nothing to worry about.



4) when linking inside cmd/dot I had an error on the following link command:
gcc -g -O2 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -o .libs/dot_builtins dot.o dot_builtins.o no_demand_loading.o -Wl,+b -Wl,/usr/local/lib/hpux32 -L/usr/local/lib ../../plugin/dot_layout/.libs/libgvplugin_dot_layout.so ../../plugin/neato_layout/.libs/libgvplugin_neato_layout.so ../../plugin/core/.libs/libgvplugin_core.so ../../lib/gvc/.libs/libgvc_builtins.so ../../lib/pathplan/.libs/libpathplan.so ../../lib/graph/.libs/libgraph.so ../../lib/cdt/.libs/libcdt.so -lgen ../../libltdl/.libs/libltdl.so ../../plugin/gd/.libs/libgvplugin_gd.so /cob/home/gcoelmon/graphviz-2.18/lib/gvc/.libs/libgvc.so /cob/home/gcoelmon/graphviz-2.18/lib/graph/.libs/libgraph.so /cob/home/gcoelmon/graphviz-2.18/lib/cdt/.libs/libcdt.so /cob/home/gcoelmon/graphviz-2.18/lib/pathplan/.libs/libpathplan.so /cob/home/gcoelmon/graphviz-2.18/libltdl/.libs/libltdl.so -L/usr/local/lib/hpux32 -lm ../../lib/gd/.libs/libgvgd_C.a /usr/local/lib/hpux32/libfreetype.so -lz -Wl,+b -W
 l,/usr/local/lib/graphviz
I was able to fix this by adding -L${top_builddir}/lib/gvc/.libs into the variable am__append_2 in cmd/dot/Makefile
</CD>



PS- dot and the graphviz suite are great tools! thanks!!
Additional Information
[ellson]

1) This problem should be reported to the maintainers of autoconf.
2) I'll try making this change. I hope it doesn't break on other platforms....
4) I don't understand this one.
<CD>
Makefile.am contains: dot_LDADD = $(top_builddir)/lib/gvc/libgvc.la
You command contains: /cob/home/gcoelmon/graphviz-2.18/lib/gvc/.libs/libgvc.so
</CD>

Some kind of libtool problem on your platform, perhaps?
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT presumed fixed
FORMER-ID1373
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.18
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:59 ellson FIX-COMMENT see description => presumed fixed
2013-10-22 10:59 ellson Status acknowledged => closed
2013-10-22 10:59 ellson Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker